## ubuntu-dev-tools 0.185

=== debian/changelog ===
ubuntu-dev-tools (0.185) unstable; urgency=medium

  [ Alex Murray ]
  * ubuntutools/archive.py:
    + Fix crash due to PersonalPackageArchiveSourcePackage() returning the
      wrong object when requesting a download url.  LP: #1938659

  [ Krytarik Raido ]
  * merge-changelog: Fix setting of newlines.

  [ Dan Streetman ]
  * misc: download to tmp file, to avoid leftover 0-size file on error
  * misc: handle ConnectionError as NotFoundError
  * archive: use proper component source packages sometimes have different
    component than their bpphs, so use the correct component when downloading
    binaries (LP: #1943819)
  * misc: fix flake8 complaints

  [ Stefano Rivera ]
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 17 Sep 2021 15:53:02 -0700

ubuntu-dev-tools (0.184) experimental; urgency=medium

  [ Dan Streetman ]
  * Drop never packaged ubuntu-archive-assistant.
  * Add support for downloading from private PPAs:
    + ubuntutools/misc:
      - Refactor to use Pathlib and f-strings.
      - Refactor to use requests instead of urllib (for the earier auth)
    + ubuntutools/archive:
      - Refactor to use Pathlib.
      - Add support for the special URLs of private PPAs.
  * Don't use existing file without verifying their checksum.
  * tests: recreate the test package files on demand.
  * Remove no longer used dependencies on python3-termcolor and python3-yaml

  [ Mattia Rizzolo ]
  * pbuilder-dist: use shutil.which instead of
    distutils.spawn.find_executable() to save a dependency.  LP: #1936697
  * d/control:
    + Drop redundant Recommends that are already in Depends.
    + Bump debhelper compat level to 13.

  [ Marco Trevisan (Treviño) ]
  * mk-sbuild:
    + Enable debugging in the finish.sh script if --debug is used.
    + Add support to configure ccache for each schroot.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 17 Jul 2021 17:31:19 +0200

=== debian/control ===
Source: ubuntu-dev-tools
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-dev-tools@packages.debian.org>
Uploaders:
 Benjamin Drung <bdrung@debian.org>,
 Stefano Rivera <stefanor@debian.org>,
 Mattia Rizzolo <mattia@debian.org>,
Build-Depends:
 dctrl-tools,
 debhelper-compat (= 13),
 devscripts (>= 2.11.0~),
 dh-make,
 dh-python,
 distro-info (>= 0.2~),
 flake8,
 lsb-release,
 python3-all,
 python3-apt,
 python3-debian,
 python3-debianbts,
 python3-distro-info,
 python3-httplib2,
 python3-launchpadlib,
 python3-nose,
 python3-requests <!nocheck>,
 python3-setuptools,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://git.launchpad.net/ubuntu-dev-tools
Vcs-Browser: https://git.launchpad.net/ubuntu-dev-tools
Homepage: https://launchpad.net/ubuntu-dev-tools
X-Python3-Version: >= 3.6

Package: ubuntu-dev-tools
Architecture: all
Depends:
 binutils,
 dctrl-tools,
 devscripts (>= 2.11.0~),
 diffstat,
 distro-info (>= 0.2~),
 dpkg-dev,
 dput,
 lsb-release,
 python3,
 python3-apt,
 python3-debian,
 python3-debianbts,
 python3-distro-info,
 python3-httplib2,
 python3-launchpadlib,
 python3-lazr.restfulclient,
 python3-ubuntutools (= ${binary:Version}),
 sensible-utils,
 sudo,
 tzdata,
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 arch-test,
 bzr | brz,
 bzr-builddeb | brz-debian,
 ca-certificates,
 debian-archive-keyring,
 debian-keyring,
 debootstrap,
 genisoimage,
 lintian,
 patch,
 pbuilder | cowbuilder | sbuild,
 python3-dns,
 quilt,
 reportbug (>= 3.39ubuntu1),
 ubuntu-keyring | ubuntu-archive-keyring,
Suggests:
 qemu-user-static,
Description: useful tools for Ubuntu developers
 This is a collection of useful tools that Ubuntu developers use to make their
 packaging work a lot easier.
 .
 Such tools include:
 .
  - backportpackage - helper to test package backports
  - bitesize - add the 'bitesize' tag to a bug and comment that you are
    willing to help fix it.
  - check-mir - check support status of build/binary dependencies
  - check-symbols - will compare and give you a diff of the exported symbols of
    all .so files in a binary package.
  - dch-repeat - used to repeat a change log into an older release.
  - grab-merge - grabs a merge from merges.ubuntu.com easily.
  - grep-merges - search for pending merges from Debian.
  - hugdaylist - compile HugDay lists from bug list URLs.
  - import-bug-from-debian - copy a bug from the Debian BTS to Launchpad
  - merge-changelog - manually merges two Debian changelogs with the same base
    version.
  - mk-sbuild - script to create LVM snapshot chroots via schroot and
    sbuild.
  - pbuilder-dist, cowbuilder-dist - wrapper script for managing several build
    chroots (for different Ubuntu and Debian releases) on the same system.
  - pull-debian-debdiff - attempts to find and download a specific version of
    a Debian package and its immediate parent to generate a debdiff.
  - pull-debian-source - downloads the latest source package available in
    Debian of a package.
  - pull-lp-source - downloads source package from Launchpad.
  - pull-lp-debs - downloads debs package(s) from Launchpad.
  - pull-lp-ddebs - downloads dbgsym/ddebs package(s) from Launchpad.
  - pull-lp-udebs - downloads udebs package(s) from Launchpad.
  - pull-debian-* - same as pull-lp-* but for Debian packages.
  - pull-uca-* - same as pull-lp-* but for Ubuntu Cloud Archive packages.
  - pull-pkg - common script that provides above pull-* functionality.
  - requestbackport - file a backporting request.
  - requestsync - files a sync request with Debian changelog and rationale.
  - reverse-depends - find the reverse dependencies (or build dependencies) of
    a package.
  - seeded-in-ubuntu - query if a package is safe to upload during a freeze.
  - setup-packaging-environment - assistant to get an Ubuntu installation
    ready for packaging work.
  - sponsor-patch - Downloads a patch from a Launchpad bug, patches the source
    package, and uploads it (to Ubuntu or a PPA)
  - submittodebian - automatically send your changes to Debian as a bug report.
  - syncpackage - helper to prepare .changes file to upload synced packages
  - ubuntu-build - give commands to the Launchpad build daemons from the
    command line.
  - ubuntu-iso - output information of an Ubuntu ISO image.
  - ubuntu-upload-permission - query / list the upload permissions for a
    package.
  - update-maintainer - script to update maintainer field in ubuntu packages.

Package: python3-ubuntutools
Architecture: all
Section: python
Depends:
 python3-debian,
 python3-distro-info,
 python3-httplib2,
 python3-launchpadlib,
 python3-lazr.restfulclient,
 python3-requests,
 sensible-utils,
 ${misc:Depends},
 ${python3:Depends},
Description: useful APIs for Ubuntu developer tools — Python 3 library
 This package ships a collection of APIs, helpers and wrappers used to
 develop useful utilities for Ubuntu developers.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_clean:
	dh_auto_clean
	rm -f .coverage
	rm -rf .tox

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	flake8 -v --max-line-length=99
	nosetests3 -v ubuntutools
endif

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: flake8 -v --max-line-length=99
Depends:
 flake8,
Restrictions: allow-stderr

Test-Command: nosetests3 -v ubuntutools
Depends:
 dh-make,
 python3-nose,
 python3-setuptools,
 @,
Restrictions: allow-stderr

## ubuntu-dev-tools 0.187~bpo18.04.1

=== debian/changelog ===
ubuntu-dev-tools (0.187~bpo18.04.1) bionic-backports; urgency=medium

  * Rebuild for bionic-backports.
  * archive.py:
    + Support Python 3.6 by calling functools.lru_cache() as a function, and
      avoid using @functools.cached_property (both new in Python 3.8).

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Thu, 09 Dec 2021 17:54:27 +0100

ubuntu-dev-tools (0.187) unstable; urgency=medium

  [ Paride Legovini ]
  * mk-sbuild:
    + Add support for zfs-snapshot schroots.  LP: #1945349

  [ Mattia Rizzolo ]
  * mk-sbuild:
    + Apply patch from Peter Pentchev to avoid a broken log message.
      Closes: #968316
  * backportpackage:
    + Support backporting to Debian releases.  Closes: #776442; LP: #974132
    + Fix the guessing algorithm for the target release:
      - for Debian: pick the current stable release.
      - for Ubuntu: pick the current LTS release.

  [ Unit 193 ]
  * backportpackage:
    + Change the generated Ubuntu version following the new policy from the
      Backporters team.

  [ Dan Streetman ]
  * misc:
    + Refactor download progress bar code.
    + Save files that have Content-Encoding correctly,
      such as the changes file from upload queue packages.
  * pullpkg:
    + Extract source packages pulled from upload queue.
  * hugdaylist:
    + Remove long unused and non-working script.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 05 Dec 2021 15:58:15 +0100

ubuntu-dev-tools (0.186) unstable; urgency=medium

  * Replace nose with pytest (see: #997758).

 -- Stefano Rivera <stefanor@debian.org>  Sun, 24 Oct 2021 16:10:44 -0700

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	flake8 -v --max-line-length=99
-	nosetests3 -v ubuntutools
+	python3 -m pytest -v ubuntutools
 endif
 
 %:

=== debian/tests/control ===
Test-Command: flake8 -v --max-line-length=99
Depends:
 flake8,
Restrictions: allow-stderr

Test-Command: python3 -m pytest -v ubuntutools
Depends:
 dh-make,
 python3-pytest,
 python3-setuptools,
 @,
Restrictions: allow-stderr

## ubuntu-dev-tools 0.187~bpo20.04.1

=== debian/changelog ===
ubuntu-dev-tools (0.187~bpo20.04.1) focal-backports; urgency=medium

  * Rebuild for focal-backports.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Thu, 09 Dec 2021 16:27:00 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-distro-info,
  python3-httplib2,
  python3-launchpadlib,
- python3-nose,
+ python3-pytest,
  python3-requests <!nocheck>,
  python3-setuptools,
 Standards-Version: 4.6.0
@@ -90,7 +90,6 @@
   - dch-repeat - used to repeat a change log into an older release.
   - grab-merge - grabs a merge from merges.ubuntu.com easily.
   - grep-merges - search for pending merges from Debian.
-  - hugdaylist - compile HugDay lists from bug list URLs.
   - import-bug-from-debian - copy a bug from the Debian BTS to Launchpad
   - merge-changelog - manually merges two Debian changelogs with the same base
     version.

## ubuntu-dev-tools 0.187~bpo21.04.1

=== debian/changelog ===
ubuntu-dev-tools (0.187~bpo21.04.1) hirsute-backports; urgency=medium

  * Rebuild for hirsute-backports.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Thu, 09 Dec 2021 18:56:53 +0100

## ubuntu-dev-tools 0.187~bpo21.10.1

=== debian/changelog ===
ubuntu-dev-tools (0.187~bpo21.10.1) impish-backports; urgency=medium

  * Rebuild for impish-backports.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Thu, 09 Dec 2021 18:56:53 +0100

## ubuntu-dev-tools 0.189

=== debian/changelog ===
ubuntu-dev-tools (0.189) unstable; urgency=medium

  [ Heinrich Schuchardt ]
  * mk-sbuild: don't require pkg-config-<target>. LP: #1966881.

  [ Tobias Heider ]
  * mk-sbuild: document SCHROOT_TYPE zfs in the manpage.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Apr 2022 15:03:31 +0200

ubuntu-dev-tools (0.188) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * archive.py:
    + Support Python 3.6 by calling functools.lru_cache() as a function, and
      avoid using @functools.cached_property (both new in Python 3.8).

  [ Graham Inggs ]
  * lpapicache.py:
    + Use collections.abc.Callable instead of the long deprecated
      collections.Callable.  LP: #1959541

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 07 Feb 2022 16:30:07 +0100

## ubuntu-dev-tools 0.191

=== debian/changelog ===
ubuntu-dev-tools (0.191) unstable; urgency=medium

  [ Dan Streetman ]
  * lpapicache:
    + Make sure that login() actually logins and doesn't use cached credentials.
  * ubuntu-build:
    + Fix crash caused by a change in lpapicache that changed the default
      operation mode from authenticated to anonymous.  LP: #1984113

  [ Stefano Rivera ]
  * backportpackage:
    + Add support for lsb-release-minimal, which doesn't have a Python module.
      Thanks to Gioele Barabucci for the patch.  Closes: #1020901

  [ Mattia Rizzolo ]
  * ubuntutools/archive.py:
    + Fix operation of SourcePackage._source_urls() (as used, for example, in
      SourcePackage.pull() called by backportpackage) to also work when the
      class is instantiated with a URL as .dsc.  Fixes regression from v0.184.
      Thanks to Unit 193 for the initial patch.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 11 Oct 2022 13:56:03 +0200

ubuntu-dev-tools (0.190) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * mk-sbuild:
    + For ubuntu, fix the debootstrap script to "gutsy", so to allow using
      mk-sbuild for newer releases without requiring a newer debootstrap.

  [ Gianfranco Costamagna ]
  * pbuilder-dist: fix typo kernal/kernel

  [ Benjamin Drung ]
  * Add missing files to debian/copyright
  * Bump Standards-Version to 4.6.1

 -- Benjamin Drung <bdrung@debian.org>  Thu, 16 Jun 2022 10:55:17 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  python3-pytest,
  python3-requests <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://git.launchpad.net/ubuntu-dev-tools
 Vcs-Browser: https://git.launchpad.net/ubuntu-dev-tools

## ubuntu-dev-tools 0.192

=== debian/changelog ===
ubuntu-dev-tools (0.192) unstable; urgency=medium

  [ Benjamin Drung ]
  * sponsor-patch:
    + Ignore exit code 1 of debdiff call.
    + Use --skip-patches instead of --no-preparation with dpkg-source -x.
  * Demote bzr/brz from Recommends to Suggests, as nowadays git is the way.
    Closes: #940531
  * Use PEP440 compliant version in setup.py (LP: #1991606)
  * Fix issues found by flake8 on the Python scripts
  * Check Python scripts with flake8 again
  * Format Python code with black and run black during package build
  * Sort Python imports with isort and run isort during package build
  * Replace deprecated optparse with argparse
  * requestbackport: Remove useless loop from locate_package
  * reverse-depends: Restore field titles format
  * test: Fix deprecated return value for test case
  * Fix all errors and warnings found by pylint and implement most refactorings
    and conventions. Run pylint during package build again.
  * Bump Standards-Version to 4.6.2
  * Drop unneeded X-Python3-Version from d/control

  [ Masahiro Yamada ]
  * mk-sbuild:
    + Handle the new location of the Debian bullseye security archive.
      Closes: #1001832; LP: #1955116

  [ Mattia Rizzolo ]
  * requestbackport:
    + Apply patch from Krytarik Raido and Unit 193 to update the template and
      workflow after the new Ubuntu Backport process has been established.
      LP: #1959115

 -- Benjamin Drung <bdrung@debian.org>  Wed, 01 Feb 2023 12:45:15 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	flake8 -v --max-line-length=99
+	./run-linters
 	python3 -m pytest -v ubuntutools
 endif

## ubuntu-dev-tools 0.193

=== debian/changelog ===
ubuntu-dev-tools (0.193) unstable; urgency=medium

  * Don't run linters at build time, or in autopkgtests. (Closes: #1031436).

 -- Stefano Rivera <stefanor@debian.org>  Sat, 25 Feb 2023 13:19:56 -0400

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  Stefano Rivera <stefanor@debian.org>,
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
+ black <!nocheck>,
  dctrl-tools,
  debhelper-compat (= 13),
  devscripts (>= 2.11.0~),
@@ -14,7 +15,9 @@
  dh-python,
  distro-info (>= 0.2~),
  flake8,
+ isort <!nocheck>,
  lsb-release,
+ pylint <!nocheck>,
  python3-all,
  python3-apt,
  python3-debian,
@@ -25,12 +28,11 @@
  python3-pytest,
  python3-requests <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://git.launchpad.net/ubuntu-dev-tools
 Vcs-Browser: https://git.launchpad.net/ubuntu-dev-tools
 Homepage: https://launchpad.net/ubuntu-dev-tools
-X-Python3-Version: >= 3.6
 
 Package: ubuntu-dev-tools
 Architecture: all
@@ -59,8 +61,6 @@
  ${perl:Depends},
 Recommends:
  arch-test,
- bzr | brz,
- bzr-builddeb | brz-debian,
  ca-certificates,
  debian-archive-keyring,
  debian-keyring,
@@ -74,6 +74,8 @@
  reportbug (>= 3.39ubuntu1),
  ubuntu-keyring | ubuntu-archive-keyring,
 Suggests:
+ bzr | brz,
+ bzr-builddeb | brz-debian,
  qemu-user-static,
 Description: useful tools for Ubuntu developers
  This is a collection of useful tools that Ubuntu developers use to make their

## ubuntu-dev-tools 0.193ubuntu1

=== debian/changelog ===
ubuntu-dev-tools (0.193ubuntu1) lunar; urgency=medium

  * Set apt preferences for the -proposed pocket in mk-sbuild so that
    it works as expected for lunar and forward.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Apr 2023 09:45:19 -0700

## ubuntu-dev-tools 0.193ubuntu4~20.04.3

=== requirements.txt ===
python-debian
python-debianbts
distro-info
httplib2
launchpadlib
requests
setuptools

=== debian/changelog ===
ubuntu-dev-tools (0.193ubuntu4~20.04.3) focal; urgency=medium

  * ubuntutools/misc.py: swap iter_content for raw stream with
    "Accept-Encoding: identity" to fix .diff.gz downloads (LP: #2025748). This
    fixes a regression caused by the backport of 0.193 that included this bug.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 06 Jul 2023 12:14:00 +0000

ubuntu-dev-tools (0.193ubuntu4~20.04.2) focal; urgency=medium

  * ubuntutools/misc.py: back out a change that's incompatible with python
    3.8 to fix a build failure.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 07 Jun 2023 05:00:09 +0000

ubuntu-dev-tools (0.193ubuntu4~20.04.1) focal; urgency=medium

  * Backport current ubuntu-dev-tools to focal.  LP: #2021910.
    - downgrade debhelper-compat dependency to 12 from 13 for focal
      compatibility.
    - this fixes compatibility with newer debootstrap which drops using
      per-Ubuntu-series symlinks for the bootstrap script.  LP: #2020530.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 30 May 2023 17:58:54 -0700

ubuntu-dev-tools (0.193ubuntu4) mantic; urgency=medium

  * Remove references to ftpmaster.internal.  When this name is resolvable
    but firewalled, syncpackage hangs; and these are tools for developers,
    not for running in an automated context in the DCs where
    ftpmaster.internal is reachable.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 30 May 2023 10:02:43 -0700

ubuntu-dev-tools (0.193ubuntu3) mantic; urgency=medium

  * Excise all references to cdbs (including in test cases)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 30 May 2023 09:45:12 -0700

ubuntu-dev-tools (0.193ubuntu2) lunar; urgency=medium

  [ Vladimir Petko ]
  * Fix a typo introduced in the last upload that made mk-sbuild fail
    unconditionally.  LP: #2017177.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Apr 2023 02:23:08 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  black <!nocheck>,
  dctrl-tools,
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
  devscripts (>= 2.11.0~),
  dh-make,
  dh-python,

## ubuntu-dev-tools 0.193ubuntu4~22.10.2

=== debian/changelog ===
ubuntu-dev-tools (0.193ubuntu4~22.10.2) kinetic; urgency=medium

  * ubuntutools/misc.py: swap iter_content for raw stream with
    "Accept-Encoding: identity" to fix .diff.gz downloads (LP: #2025748). This
    fixes a regression caused by the backport of 0.193 that included this bug.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 06 Jul 2023 13:06:18 +0100

ubuntu-dev-tools (0.193ubuntu4~22.10.1) kinetic; urgency=medium

  * Backport current ubuntu-dev-tools to kinetic.  LP: #2021910.
    - this fixes compatibility with newer debootstrap which drops using
      per-Ubuntu-series symlinks for the bootstrap script.  LP: #2020530.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 30 May 2023 17:58:54 -0700

## ubuntu-dev-tools 0.193ubuntu4~23.04.2

=== debian/changelog ===
ubuntu-dev-tools (0.193ubuntu4~23.04.2) lunar; urgency=medium

  * ubuntutools/misc.py: swap iter_content for raw stream with
    "Accept-Encoding: identity" to fix .diff.gz downloads (LP: #2025748). This
    fixes a regression caused by the backport of 0.193 that included this bug.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 06 Jul 2023 13:01:35 +0100

ubuntu-dev-tools (0.193ubuntu4~23.04.1) lunar; urgency=medium

  * Backport current ubuntu-dev-tools to lunar.  LP: #2021910.
    - this fixes compatibility with newer debootstrap which drops using
      per-Ubuntu-series symlinks for the bootstrap script.  LP: #2020530.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 30 May 2023 17:58:54 -0700

## ubuntu-dev-tools 0.195

=== debian/changelog ===
ubuntu-dev-tools (0.195) unstable; urgency=medium

  * Add support for the non-free-firmware components in all tools already
    referencing non-free.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 26 Jul 2023 13:03:31 -0500

ubuntu-dev-tools (0.194) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * ubuntu-build: For some reasons, now you need to be authenticated before
    trying to use the "PersonTeam" class features.
    Do it at the begin instead of replicating the same code inside the
    tool itself.

  [ Steve Langasek ]
  * Remove references to deprecated
    http://people.canonical.com/~ubuntu-archive.
  * Remove references to architectures not supported in any active
    Ubuntu release.
  * Remove references to ftpmaster.internal.  When this name is resolvable
    but firewalled, syncpackage hangs; and these are tools for developers,
    not for running in an automated context in the DCs where
    ftpmaster.internal is reachable.
  * Excise all references to cdbs (including in test cases)
  * Set apt preferences for the -proposed pocket in mk-sbuild so that
    it works as expected for lunar and forward.

  [ Robie Basak ]
  * ubuntutools/misc: swap iter_content for raw stream with "Accept-Encoding:
    identity" to fix .diff.gz downloads (LP: #2025748).

  [ Vladimir Petko ]
  * Fix a typo introduced in the last upload that made mk-sbuild fail
    unconditionally.  LP: #2017177.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 08 Jul 2023 08:42:05 +0200

## ubuntu-dev-tools 0.196

=== debian/changelog ===
ubuntu-dev-tools (0.196) unstable; urgency=medium

  * Allow the user to sync multiple packages at one time (LP: #1756748).

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 04 Aug 2023 14:37:59 -0500

## ubuntu-dev-tools 0.201ubuntu2~22.04.4

=== debian/changelog ===
ubuntu-dev-tools (0.201ubuntu2~22.04.4) jammy; urgency=medium

  * Backport current ubuntu-dev-tools to jammy.  LP: #2057716.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 17:39:42 -0700

ubuntu-dev-tools (0.201ubuntu2) noble; urgency=medium

  [ Steve Langasek ]
  * ubuntu-build: support --batch with no package names to retry all
  * ubuntu-build: in batch mode, print a count of packages retried
  * ubuntu-build: make the --arch option top-level.
    This gets rid of the fugly --arch2 option
  * ubuntu-build: support retrying builds in other states that failed-to-build
  * ubuntu-build: Handling of proposed vs release pocket default for ppas
  * ubuntu-build: update manpage

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 17:03:43 -0700

ubuntu-dev-tools (0.201ubuntu1) noble; urgency=medium

  * Replace Depends on python3-launchpadlib with Depends on
    python3-launchpadlib-desktop (LP: #2049217)

 -- Chris Peterson <chris.peterson@canonical.com>  Fri, 01 Mar 2024 14:08:07 -0800

ubuntu-dev-tools (0.201) unstable; urgency=medium

  * running-autopkgtests: fix packaging to make the script available
    (LP: #2055466)

 -- Chris Peterson <chris.peterson@canonical.com>  Thu, 29 Feb 2024 11:09:14 -0800

ubuntu-dev-tools (0.200) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload

  [ Chris Peterson ]
  * Add support to see currently running autopkgtests (running-autopkgtests)
  * running-autopkgtests: use f-strings

  [ Athos Ribeiro ]
  * syncpackage: log LP authentication errors before halting.

  [ Ying-Chun Liu (PaulLiu) ]
  * Drop qemu-debootstrap
    qemu-debootstrap is deprecated for a while. In newer qemu release
    the command is totally removed. We can use debootstrap directly.
    Signed-off-by: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>

  [ Logan Rosen ]
  * Don't rely on debootstrap for validating Ubuntu distro

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Feb 2024 17:53:48 +0100

ubuntu-dev-tools (0.199) unstable; urgency=medium

  [ Simon Quigley ]
  * Add my name to Uploaders.

  [ Steve Langasek ]
  * Introduce a pm-helper tool.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 29 Jan 2024 10:03:22 -0600

ubuntu-dev-tools (0.198) unstable; urgency=medium

  * In check-mir, ignore debhelper-compat when checking the build
    dependencies. This is expected to be a build dependency of all packages,
    so warning about it in any way is surely a red herring.
  * Add proper support for virtual packages in check-mir, basing the
    determination solely off of binary packages. This is not expected to be a
    typical case.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 10 Jan 2024 20:04:02 -0600

ubuntu-dev-tools (0.197) unstable; urgency=medium

  * Update the manpage for syncpackage to reflect the ability to sync
    multiple packages at once.
  * When using pull-*-source to grab a package which already has a defined
    Vcs- field, display the exact same warning message `apt source` does.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 03 Oct 2023 14:01:25 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: ubuntu-dev-tools
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-dev-tools@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-dev-tools@packages.debian.org>
 Uploaders:
  Benjamin Drung <bdrung@debian.org>,
  Stefano Rivera <stefanor@debian.org>,
  Mattia Rizzolo <mattia@debian.org>,
+ Simon Quigley <tsimonq2@debian.org>,
 Build-Depends:
  black <!nocheck>,
  dctrl-tools,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  devscripts (>= 2.11.0~),
  dh-make,
  dh-python,
@@ -20,6 +22,7 @@
  pylint <!nocheck>,
  python3-all,
  python3-apt,
+ python3-dateutil,
  python3-debian,
  python3-debianbts,
  python3-distro-info,
@@ -114,6 +117,8 @@
   - requestsync - files a sync request with Debian changelog and rationale.
   - reverse-depends - find the reverse dependencies (or build dependencies) of
     a package.
+  - running-autopkgtests - lists the currently running and/or queued
+    autopkgtests on the Ubuntu autopkgtest infrastructure
   - seeded-in-ubuntu - query if a package is safe to upload during a freeze.
   - setup-packaging-environment - assistant to get an Ubuntu installation
     ready for packaging work.
@@ -132,6 +137,7 @@
 Architecture: all
 Section: python
 Depends:
+ python3-dateutil,
  python3-debian,
  python3-distro-info,
  python3-httplib2,

## ubuntu-dev-tools 0.201ubuntu2~23.10.4

=== debian/changelog ===
ubuntu-dev-tools (0.201ubuntu2~23.10.4) mantic; urgency=medium

  * Backport current ubuntu-dev-tools to mantic.  LP: #2057716.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 17:47:25 -0700

## ubuntu-dev-tools 0.201ubuntu2

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  python3-debianbts,
  python3-distro-info,
  python3-httplib2,
- python3-launchpadlib,
+ python3-launchpadlib-desktop,
  python3-pytest,
  python3-requests <!nocheck>,
  python3-setuptools,
@@ -54,7 +54,7 @@
  python3-debianbts,
  python3-distro-info,
  python3-httplib2,
- python3-launchpadlib,
+ python3-launchpadlib-desktop,
  python3-lazr.restfulclient,
  python3-ubuntutools (= ${binary:Version}),
  sensible-utils,
@@ -141,7 +141,7 @@
  python3-debian,
  python3-distro-info,
  python3-httplib2,
- python3-launchpadlib,
+ python3-launchpadlib-desktop,
  python3-lazr.restfulclient,
  python3-requests,
  sensible-utils,

## ubuntu-dev-tools 0.202

=== debian/changelog ===
ubuntu-dev-tools (0.202) unstable; urgency=medium

  [ Steve Langasek ]
  * ubuntu-build: support --batch with no package names to retry all
  * ubuntu-build: in batch mode, print a count of packages retried
  * ubuntu-build: make the --arch option top-level.
    This gets rid of the fugly --arch2 option
  * ubuntu-build: support retrying builds in other states that failed-to-build
  * ubuntu-build: Handling of proposed vs release pocket default for ppas
  * ubuntu-build: update manpage

  [ Chris Peterson ]
  * Replace Depends on python3-launchpadlib with Depends on
    python3-launchpadlib-desktop (LP: #2049217)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 12 Apr 2024 23:33:14 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ubuntu-dev-tools
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-dev-tools@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-dev-tools@packages.debian.org>
 Uploaders:
  Benjamin Drung <bdrung@debian.org>,
  Stefano Rivera <stefanor@debian.org>,

## ubuntu-dev-tools 0.203

=== debian/changelog ===
ubuntu-dev-tools (0.203) unstable; urgency=medium

  [ Steve Langasek ]
  * ubuntu-build: handle TOCTOU issue with the "can be retried" value on
    builds.
  * Recommend sbuild over pbuilder.  sbuild is the tool recommended by
    Ubuntu developers whose behavior most closely approximates Launchpad
    builds.

  [ Florent 'Skia' Jacquet ]
  * import-bug-from-debian: handle multipart message (Closes: #969510)

  [ Benjamin Drung ]
  * import-bug-from-debian: add type hints
  * Bump Standards-Version to 4.7.0
  * Bump year and add missing files to copyright
  * setup.py: add pm-helper
  * Format code with black and isort
  * Address several issues pointed out by Pylint
  * Depend on python3-yaml for pm-helper

 -- Benjamin Drung <bdrung@debian.org>  Sat, 02 Nov 2024 18:19:24 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,8 @@
  python3-pytest,
  python3-requests <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.2
+ python3-yaml <!nocheck>,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://git.launchpad.net/ubuntu-dev-tools
 Vcs-Browser: https://git.launchpad.net/ubuntu-dev-tools
@@ -56,6 +57,7 @@
  python3-launchpadlib-desktop,
  python3-lazr.restfulclient,
  python3-ubuntutools (= ${binary:Version}),
+ python3-yaml,
  sensible-utils,
  sudo,
  tzdata,
@@ -70,7 +72,7 @@
  genisoimage,
  lintian,
  patch,
- pbuilder | cowbuilder | sbuild,
+ sbuild | pbuilder | cowbuilder,
  python3-dns,
  quilt,
  reportbug (>= 3.39ubuntu1),

## ubuntu-dev-tools 0.204

=== debian/changelog ===
ubuntu-dev-tools (0.204) unstable; urgency=medium

  [ Simon Quigley ]
  * Update Standards-Version to 4.7.1, no changes needed.
  * Add several Lintian overrides related to .pyc files.
  * Add my name to the copyright file.
  * Rename bitesize to lp-bitesize (Closes: #1076224).
  * Add a manpage for running-autopkgtests.
  * Add a large warning at the top of mk-sbuild encouraging the use of the
    unshare backend. This is to provide ample warning to users.
  * Remove mail line from default ~/.sbuildrc, to resolve the undeclared
    dependency on sendmail (Closes: #1074632).

  [ Julien Plissonneau Duquène ]
  * Fix reverse-depends -b crash on packages that b-d on themselves
    (Closes: #1087760).

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 24 Feb 2025 19:54:39 -0600

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  python3-requests <!nocheck>,
  python3-setuptools,
  python3-yaml <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Vcs-Git: https://git.launchpad.net/ubuntu-dev-tools
 Vcs-Browser: https://git.launchpad.net/ubuntu-dev-tools

## ubuntu-dev-tools 0.205

=== debian/changelog ===
ubuntu-dev-tools (0.205) unstable; urgency=medium

  * [syncpackage] When syncing multiple packages, if one of the packages is in
    the sync blocklist, do not exit, simply continue.
  * [syncpackage] Do not use exit(1) on an error or exception unless it
    applies to all packages, instead return None so we can continue to the
    next package.
  * [syncpackage] Add support for -y or --yes, noted that it should be used
    with care.
  * Update Standards-Version to 4.7.2, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 01 Mar 2025 11:29:54 -0600

## ubuntu-dev-tools 0.206

=== requirements.txt ===
python-debian
python-debianbts
dateutil
distro-info
httplib2
launchpadlib
requests
setuptools

=== debian/changelog ===
ubuntu-dev-tools (0.206) unstable; urgency=medium

  [ Dan Bungert ]
  * mk-sbuild: enable pkgmaintainermangler

  [ Shengjing Zhu ]
  * import-bug-from-debian: package option is overridden and not used

  [ Fernando Bravo Hernández ]
  * Parsing arch parameter to getBinaryPackage() (LP: #2081861)

  [ Simon Quigley ]
  * Read ~/.devscripts in a more robust way, to ideally pick up multi-line
    variables (Closes: #725418).
  * mk-sbuild: default to using UTC for schroots (LP: #2097159).
  * syncpackage: s/syncblacklist/syncblocklist/g
  * syncpackage: Cache the sync blocklist in-memory, so it's not fetched
    multiple times when syncing more than one package.
  * syncpackage: Catch exceptions cleanly, simply skipping to the next
    package (erring on the side of caution) if there is an error doing the
    download (LP: #1943286).

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 04 Mar 2025 13:43:15 -0600

## ubuntu-dev-tools 0.207

=== debian/changelog ===
ubuntu-dev-tools (0.207) unstable; urgency=medium

  * Team upload.

  [ Dan Streetman ]
  * Fix pull-lp-source --upload-queue (LP: #2110061)

  [ Colin Watson ]
  * Optimize Launchpad collection handling.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Sep 2025 15:58:34 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  python3-requests <!nocheck>,
  python3-setuptools,
  python3-yaml <!nocheck>,
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://git.launchpad.net/ubuntu-dev-tools
 Vcs-Browser: https://git.launchpad.net/ubuntu-dev-tools

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	./run-linters
 	python3 -m pytest -v ubuntutools
 endif

=== debian/tests/control ===
Test-Command: python3 -m pytest -v ubuntutools
Depends:
 dh-make,
 python3-pytest,
 python3-setuptools,
 @,
Restrictions: allow-stderr

## ubuntu-dev-tools 0.208

=== debian/changelog ===
ubuntu-dev-tools (0.208) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * ubuntu-build: consider amd64v3 as valid architecture

  [ Sebastien Bacher ]
  * ubuntu-build: fix non batch mode errors.

  [ Benjamin Drung ]
  * Format code with black and isort
  * ubuntutools/pullpkg.py: initialize vcscmd
  * make pylint and mypy happy
  * mark non-returning functions with typing.NoReturn
  * run-linters: add --errors-only mode and run this during package build
  * Drop Lintian overrides related to .pyc files
  * Drop obsolete Rules-Requires-Root: no
  * run mypy during package build
  * sponsor-patch: stop checking for bzr being present
  * Modernize SourcePackage._run_lintian()
  * requestsync: support pocket parameter in get_ubuntu_srcpkg (LP: #2115990)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 03 Dec 2025 16:33:47 +0100

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,17 @@
  Mattia Rizzolo <mattia@debian.org>,
  Simon Quigley <tsimonq2@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
+ dh-make,
+ dh-python,
  black <!nocheck>,
  dctrl-tools,
- debhelper-compat (= 13),
  devscripts (>= 2.11.0~),
- dh-make,
- dh-python,
  distro-info (>= 0.2~),
  flake8,
  isort <!nocheck>,
  lsb-release,
+ mypy <!nocheck>,
  pylint <!nocheck>,
  python3-all,
  python3-apt,
@@ -30,9 +31,9 @@
  python3-pytest,
  python3-requests <!nocheck>,
  python3-setuptools,
+ python3-typeshed <!nocheck>,
  python3-yaml <!nocheck>,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Git: https://git.launchpad.net/ubuntu-dev-tools
 Vcs-Browser: https://git.launchpad.net/ubuntu-dev-tools
 Homepage: https://launchpad.net/ubuntu-dev-tools
@@ -40,12 +41,12 @@
 Package: ubuntu-dev-tools
 Architecture: all
 Depends:
+ dpkg-dev,
  binutils,
  dctrl-tools,
  devscripts (>= 2.11.0~),
  diffstat,
  distro-info (>= 0.2~),
- dpkg-dev,
  dput,
  lsb-release,
  python3,
@@ -72,10 +73,10 @@
  genisoimage,
  lintian,
  patch,
- sbuild | pbuilder | cowbuilder,
  python3-dns,
  quilt,
  reportbug (>= 3.39ubuntu1),
+ sbuild | pbuilder | cowbuilder,
  ubuntu-keyring | ubuntu-archive-keyring,
 Suggests:
  bzr | brz,

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,11 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f .coverage
-	rm -rf .tox
+	rm -rf .mypy_cache .tox
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	./run-linters --errors-only
 	python3 -m pytest -v ubuntutools
 endif

=== debian/tests/control ===
--- 
+++ 
@@ -4,4 +4,5 @@
  python3-pytest,
  python3-setuptools,
  @,
-Restrictions: allow-stderr
+Restrictions:
+ allow-stderr,
